import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { SelectProps as NextSelectProps } from '@alifd/next/types/select';
interface SelectProps extends Omit<NextSelectProps, 'size'>, CommonThemeProps {
    size?: 'large' | 'medium' | 'small' | 'xs';
}
interface Pagestates {
    inited: boolean;
    renderValue: any;
}
declare class Select extends Component<SelectProps, Pagestates> {
    static Option: typeof import("@alifd/next/types/select").Option;
    static AutoComplete: typeof import("@alifd/next/types/select").AutoComplete;
    static OptionGroup: typeof import("@alifd/next/types/select").OptionGroup;
    static getDerivedStateFromProps(nextProps: any, prevState: any): {
        inited: boolean;
        renderValue: any;
    } | {
        renderValue: any;
        inited?: undefined;
    };
    constructor(props: any);
    onSelectChange: (value: any, actionType: any, item: any) => void;
    getSelected: (item: any) => boolean;
    checkedItemRender: (item: any) => JSX.Element;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof Select;
export default _default;
